Justin Wu created MJAVADOC-514:
----------------------------------

             Summary: Maven Javadoc Plugin can't get dependency from third 
party maven repository
                 Key: MJAVADOC-514
                 URL: https://issues.apache.org/jira/browse/MJAVADOC-514
             Project: Maven Javadoc Plugin
          Issue Type: Bug
         Environment: maven 3.2.x
            Reporter: Justin Wu


I had a Jar is saved in my own maven repository which is runing on Nexus.

It works well if it is a normal maven dependency.

but it fails if I declare it in Maven Javadoc Plugin:

 

[INFO] --- maven-javadoc-plugin:3.0.0:jar (attach-javadoc) @ treaty ---
Downloading: 
https://repo.maven.apache.org/maven2/com/mycompany/util/object-tree-creator/1.0/object-tree-creator-1.0.pom
[WARNING] The POM for com.mycompany.util:object-tree-creator:jar:1.0 is 
missing, no dependency information available
Downloading: 
+[https://repo.maven.apache.org/maven2/com/mycompany/util/object-tree-creator/1.0/object-tree-creator-1.0.jar|https://repo.maven.apache.org/maven2/com/validusre/util/object-tree-creator/1.0/object-tree-creator-1.0.jar]+

 

 

This is my code:

 

<plugin>
 <groupId>org.apache.maven.plugins</groupId>
 <artifactId>maven-javadoc-plugin</artifactId>
 <version>3.0.0</version>
 <configuration>
 <doclet>bm.mycompany.common.doclet.MyDoclet</doclet>

<docletPath>${project.build.directory}/../../shared-java/target/classes;${project.build.directory}/classes</docletPath>
 
<sourcePath>${project.build.directory}/../../shared-java/src/java;${project.build.directory}/../src/java</sourcePath>
 <encoding>UTF-8</encoding>
 <show>public</show>
 <subpackages>com.mycompany.api</subpackages>
 <useStandardDocletOptions>false</useStandardDocletOptions>
 
 <docletArtifacts>
 <!-- has to declare doclet dependency if we need it -->
 <docletArtifact>
 <groupId>javax.ws.rs</groupId>
 <artifactId>javax.ws.rs-api</artifactId>
 <version>2.0.1</version>
 </docletArtifact>
 <docletArtifact>
 <groupId>javax.servlet</groupId>
 <artifactId>servlet-api</artifactId>
 <version>2.5</version>
 </docletArtifact>
 
 <docletArtifact>
 <groupId>com.mycompany.util</groupId>
 <artifactId>object-tree-creator</artifactId>
 <version>1.0</version>
 </docletArtifact>
 
 </docletArtifacts>

...



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to